# $Revision: 1.46 $, $Date: 2011/10/07 12:18:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	MethodMaker
Summary:	Class::MethodMaker - a module for creating generic methods
Summary(pl.UTF-8):	Class::MethodMaker - moduł do tworzenia ogólnych metod
Name:		perl-Class-MethodMaker
Version:	2.18
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	99435d78e0a1754b102fe39597c6c3df
URL:		http://search.cpan.org/dist/Class-MethodMaker/
%{?with_tests:BuildRequires:	perl-IPC-Run >= 0.89}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module solves the problem of having to write a bazillion get/set
methods that are all the same. The argument to 'use' is a hash whose
keys are the names of types of generic methods generated by
MethodMaker and whose values tell method maker what methods to make.
(More precisely, the keys are the names of MethodMaker methods
(methods that write methods) and the values are the arguments to those
methods.

%description -l pl.UTF-8
Ten moduł rozwiązuje problem pisania bazylionów metod get/set, które
są wszystkie takie same. Parametrem 'use' jest hasz, którego klucze są
nazwami typów do ogólnych metod, wygenerowanych przez MethodMakera, a
wartości mówią modułowi, które metody utworzyć (bardziej precyzyjnie:
klucze są nazwami metod MethodMakera (metod, które tworzą metody), a
wartości to parametry dla tych metod).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv -f end.pod lib/Class/MethodMaker/

%build
%{__perl} generate.PL
%{__perl} -MExtUtils::MakeMaker -wle \
	'WriteMakefile(NAME=>"Class::MethodMaker",
	PL_FILES=>{}, VERSION=>"%{version}")' \
	INSTALLDIRS=vendor

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/.placeholder
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/MethodMaker/end.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/cmmg.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Class/*.pm
%dir %{perl_vendorarch}/Class/MethodMaker
%{perl_vendorarch}/Class/MethodMaker/*.pm
%dir %{perl_vendorarch}/auto/Class/MethodMaker
%{perl_vendorarch}/auto/Class/MethodMaker/array
%{perl_vendorarch}/auto/Class/MethodMaker/hash
%{perl_vendorarch}/auto/Class/MethodMaker/scalar
%dir %{perl_vendorarch}/auto/Class/MethodMaker/Engine
%{perl_vendorarch}/auto/Class/MethodMaker/Engine/*.al
%{perl_vendorarch}/auto/Class/MethodMaker/Engine/*.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Class/MethodMaker/*.so
%{perl_vendorarch}/auto/Class/MethodMaker/MethodMaker.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-MethodMaker.spec,v $
Revision 1.46  2011/10/07 12:18:16  lisu
- missing colon

Revision 1.45  2011/10/07 12:13:48  lisu
- BR: perl-IPC-Run >= 0.89 for tests

Revision 1.44  2011/10/07 11:52:55  lisu
- 2.18

Revision 1.43  2011/10/04 13:50:31  lisu
- rel 6

Revision 1.42  2010/11/12 23:38:14  pawelz
- release 5

Revision 1.41  2010/06/06 08:31:51  arekm
- release 2

Revision 1.40  2009/06/16 13:23:45  amateja
- updated to 2.15

Revision 1.39  2009/03/14 11:22:13  hawk
- release 2

Revision 1.38  2008/04/02 08:18:00  arekm
- up to 2.11

Revision 1.37  2008-02-10 12:01:48  arekm
- rel 2

Revision 1.36  2007-12-26 22:14:38  qboosh
- fixed Source0 URL

Revision 1.35  2007-12-26 21:47:44  zbyniu
- up to 2.10

Revision 1.34  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.32  2006/07/26 19:14:12  glen
- 2.08, generic URL

Revision 1.31  2005/06/04 08:07:25  radek
- s/Class::end.3pm/Class::MethodMaker::end.3pm/ (moved the pod file)

Revision 1.30  2005/06/04 07:57:39  radek
- version 2.07, release 1
- fixed (I hope) brain-dead build
- removed autogenerated provides

Revision 1.29  2005/05/08 20:23:27  pluto
- BR += perl-Module-Build.

Revision 1.28  2004/12/01 16:16:53  radek
- version 2.04, release 0.1: what's the deal with 5MB of *.al files?
- switched to Module::Build, it's not noarch anymore

Revision 1.27  2004/11/03 22:30:10  paladine
- formatting

Revision 1.26  2004/06/14 08:01:25  radek
- release 4: provide "perl(Class::MethodMaker) = %{version}" manually

Revision 1.25  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.24  2004/05/12 20:00:30  radek
- don't test signatures

Revision 1.23  2004/05/12 16:47:18  radek
- release 3: require Exporter 5.56_2 instead of 5.562

Revision 1.22  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.21  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.20  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.19  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.18  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.17  2004/04/11 05:57:49  agaran
 - update to 2.02

Revision 1.16  2004/04/04 21:49:55  adamg
- updated to 2.01

Revision 1.15  2004/01/24 22:14:06  arekm
- autoupdated to 2.00

Revision 1.14  2003/09/15 08:17:26  adamg
- updated to 1.12

Revision 1.13  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:28:09  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/02/05 16:17:28  ankry
- autoupdated to 1.10

Revision 1.4  2002/10/28 15:40:33  ankry
- version 1.08

Revision 1.3  2002/09/16 08:21:26  ankry
- comment bcond
- added missing dir, cleaning
- release 3

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/05 16:32:33  radek
- new, STBR
